### Method

# Gtk Applicationget_accels_for_action

#### Declaration [src]

    char**
    gtk_application_get_accels_for_action (
      GtkApplication* application,
      const char* detailed_action_name
    )

#### Description [src]

Gets the accelerators that are currently associated with the given action.

#### Parameters

`detailed_action_name`

  Type: `const char*`

  A detailed action name, specifying an action and target to obtain accelerators for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

accelerators for `detailed_action_name`

The array is `NULL`-terminated.
The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.